Hardy proposed 2.6.24-20-generic kernel update will not boot

Bug #251344 reported by Mr Freeze on 2008-07-24
214
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
Unassigned
Hardy
Critical
Tim Gardner

Bug Description

Downloaded 2.6.24-20-generic kernel updates today (Pre-released updates-Hardy proposed). After these packages were installed, I restarted and on boot the computer hangs after showing "Starting up..." in the upper left corner of the monitor. Others report the same problem in the Ubuntu forums.

Hardy 8.04.1 desktop-i386
Sempron 2500+ processor
Sapphire Radeon 9600XT running ATI Catalyst 8.7 driver

Packages downloaded:
linux-generic_2.6.24.20.22_i386.deb
linux-headers-2.6.24-20_2.6.24-20.37_all.deb
linux-headers-2.6.24-20-generic_2.6.24-20.37_i386.deb
linux-headers-generic_2.6.24.20.22_i386.deb
linux-image-2.6.24-20-generic_2.6.24-20.37_i386.deb
linux-image-generic_2.6.24.20.22_i386.deb
linux-libc-dev_2.6.24-20.37_i386.deb
linux-restricted-modules-2.6.24-20-generic_2.6.24.14-20.46_i386.deb
linux-restricted-modules-common_2.6.24.14-20.46_all.deb
linux-restricted-modules-generic_2.6.24.20.22_i386.deb
linux-ubuntu-modules-2.6.24-20-generic_2.6.24-20.29_i386.deb

Mr Freeze (rockula-mike) on 2008-07-24
description: updated
Mark Grandi (markgrandi) wrote :

Im marking this as confirmed, as i get the same exact bug.

im also uploading a picture of what i get when i try to run in recovery mode, as it doesnt even start up far enough to start writing to the log file.

Mark Grandi (markgrandi) wrote :

and here is the forum topic about it with 5+ other people having the same problem:

http://ubuntuforums.org/showthread.php?p=5447185#post5447185

Mick Russell (debnmick) wrote :

When I try to get mine running in recovery mode it gets as far as checking for the "hlt" command, which is where it stalls.

Just happened to me too. I posted in the Ubuntu thread, but I'll post again.

Pentium 3 Katmai 450Mhz
Old Asus mobo (not entirely sure)
Nvidia GeForce 5200FX 256MB

I have this problem only on my 32 bit AMD laptop (Averatec 3250)
but my Dell 1521 (AMD Turion64 x2)
and my desktop HP Presario (AMD 64 bits) do not have this problem.

Seems to be related to the 32 bits architecture and/or AMD CPU.

Benjamin Schug (bschug) wrote :

Same problem here, AMD Athlon XP 2600+.

Since this problem only seems to occur on older CPUs, could it be that this kernel package was compiled with some newer instruction set turned on, like SSE2?

nico (nicolas-pourcelot) wrote :

Same problem with AMD Sempron 3000+

none_hate (notanone) wrote :

I've got the same on AMD Athlon 1800+

Colin Watson (cjwatson) on 2008-07-24
Changed in linux:
importance: Undecided → Critical
importance: Undecided → Critical
status: New → Confirmed
ivex82 (ivex82) wrote :

after restart in grub load press esc and select 2.6.24-19-generic for startup your ubuntu

after startup and nice look of ubuntu start sinaptic and search for 2.6.24-20 ,and remove next:

Completely removed the following packages:
linux-headers-2.6.24-20
linux-image-2.6.24-20-generic

Removed the following packages:
linux-headers-2.6.24-20-generic
linux-ubuntu-modules-2.6.24-20-generic
linux-headers-generic
linux-image-generic

restart computer
(if somebody dont anderstand sorry about my bad english :) )

cirelle (gcirino) wrote :

my 2 cents AMD Athlon +2000 1GB ram PNY Verto 6200 video w/ nvidia drivers, stops at the checking hlt line in recovery mode, previous kernels still work.

Jouni Mettala (jouni-mettala) wrote :

2.6.24-20-386 and 2.6.24-19-generic both works for me but 2.6.24-20-generic hangs for me too.

Craig Maloney (craig-decafbad) wrote :

Same here, with AMD Athlon processor and NVidia chipset / video card (Gigabyte GA-7N400 Pro 2)

craig@lister:~$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 10
model name : AMD Athlon(tm)
stepping : 0
cpu MHz : 1094.188
cache size : 512 KB
...

jeroenl (jeroenl) wrote :

I can confirm this to. The PC hangs/freezes right after the "start up"-message.

I had to go back via the grub menu to 19.

AMS Athlon XP 2400+ with a onboard VIA S3 UniChrome

Same here, Sempron 2600+, last messages:

CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.

Goran (goran-26) wrote :

Same problem for me to, halts after the hlt check.

goran@LUCIFER:~$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 8
model name : AMD Athlon(tm) XP 1800+
stepping : 1
cpu MHz : 1503.426
cache size : 256 KB

I am using a GeForce 7600 GS if that matters.

paspartu (paspartu-0) wrote :

The same problem after kernell update
with linux 2.6.24-20 generic & linux 2.6.24-20 rt too
system:
-Computer-
Processor : AMD Sempron(tm) 2600+
Memory : 1029MB (390MB used)
Operating System : Ubuntu 8.04.1
-Display-
Resolution : 1440x900 pixels
OpenGL Renderer : GeForce FX 5200/AGP/SSE/3DNOW!
X11 Vendor : The X.Org Foundation
-Multimedia-
Audio Adapter : ICH - SiS SI7012

Same problem here... :P

marcelo@BeetleII:~$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Pentium III (Coppermine)
stepping : 10
cpu MHz : 1004.584
cache size : 256 KB
...

Using GeForce 6220 AGP.

Thanks.

David Planella (dpm) wrote :

In case this helps, here is another report. I can reproduce this bug with exactly the same symptoms described above. Here is the CPU info:

processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 8
model name : AMD Sempron(tm) 2600+
stepping : 1
cpu MHz : 1832.896
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow up ts
bogomips : 3670.00
clflush size : 32

bbauto (berglund-bengt) wrote :

Seems only to affect older computors, my P3 doesn't work but my Dell Latitude D520 does.

JanMalte (janmalte) wrote :

Me too

Papamatti (matti-lx) wrote :

I have the same problem, also.

Booting stops after the checking hlt....ok line
Older kernels works.

My system: AthlonXP 3200+, Abit AN7 with nForce2 chipset and 1GB RAM, nVidia Geforce 7600GT AGP 512MB

Grizzly (sven-witterstein) wrote :

... not to make it "only" "me-too"... heres the screenshot of the "hlt" output in debug (root shell) mode...

all amd64 (one turion NB, 2x Athlons 64x2) on 64bit-ubuntus boot fine after the update.

I tried booting the old FujitsuSiemensComputers FSC E-Series E-6500 with 256 (!sic, 2x128MB, so no update feasible, bigger modules seem so rare and it is not worth the money...) MB Ram and this prozessor:

processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Pentium III (Coppermine)
stepping : 3
cpu MHz : 648.276
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse up
bogomips : 1297.91
clflush size : 32

tino (tino-kissig) wrote :

I have this problem as well.

* ASUS S1300A series Notebook PC
* Intel(R) Pentium(R) III Mobile CPU 1200MHz
* 640 MB RAM
* Chipset Graphics Controller: Intel 82830 CGC

I have the same issue, Xubuntu 8.04.1

Intel Celeron 633Mhz
256mb RAM
ATi Radeon 7000 (64mb) using 'radeon' driver

max69 (maxime-bely) wrote :

Same here on xubuntu 8.04 kernel 2.6.24-20.
Intel Pentium 3 Coppermine.
If you need any logs just ask.

Patrick Schueller (pschuel) wrote :

Not only generic...
Same here with Kubuntu 8.04 using the -rt variant (2.6.24-20-rt).

Not tested with -generic because that causes other problems on my machine (freeze on USB access).

Acer Travelmate 220
Mobile Intel Celeron 1333
1 GB RAM

Athlon XP 2800+
Radeon driver.

Interesting error when removing the package:

Replacing config file /var/run/grub/menu.lst with new version
Updating /boot/grub/menu.lst ... done

The link /vmlinuz is a damaged link
Removing symbolic link vmlinuz you may need to re-run your boot loader[grub]
The link /initrd.img is a damaged link
Removing symbolic link initrd.img you may need to re-run your boot loader[grub]

Vanilla install.

Stefan Bader (smb) wrote :

In order to track down the problem I put some kernels to http://people.ubuntu.com/~smb/bug251344/ where I removed some of the changes that went into the 20.37 release. If someone could give that a try and report back to this bug.

Same problem, using generic.

CPU: AMD AthlonXP 2500+
Chipset: nVidia nForce2 Ultra400
Graphics: Radeon 9600xt

---
sarmitage@ophelia:~$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 10
model name : AMD Athlon(tm)
stepping : 0
cpu MHz : 2004.679
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips : 4012.34
clflush size : 32
---

Petar Velkovski (pvelkovski) wrote :

I also have the same problem

processor info

petar@aurora:~$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 10
model name : AMD Athlon(tm) XP 2500+
stepping : 0
cpu MHz : 1837.616
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips : 3678.10
clflush size : 32

GeForce FX 5200, Asus motherboard with NV2 chipset

Same problem here, .20 stops at the hlt check.

Acer Aspire 1350 series, AMD Athlon 2.6 , via KM400 graphics.

bbauto (berglund-bengt) wrote :

Hi Stefan Bader, have tried the 20.37 i386.deb, but the problem remains exactly the same.

Mr Freeze (rockula-mike) wrote :

Stefan Bader,

I downloaded and installed the i386.debs you posted at http://people.ubuntu.com/~smb/bug251344/ and still get the same result when rebooting.

Hardy 8.04.1 desktop-i386
MachSpeed Viper V4DP M/B, w/Via KM400 chipset
Sempron 2500+ processor
Sapphire Radeon 9600XT running ATI Catalyst 8.7 driver

Stefan Balder:
The fix does nothing. Sorry.

Mack (ldm1979) wrote :

Ditto

Thanks to ivex82 for the workaround

Casey J Peter (caseyjp1) wrote :

Same issue with 2.6.24-20-generic

System:
x2 3800 dual core AMD
nvidia 8800GTS
2gig 128bit dual channel ram
mixed sata/pata drives

On my system it doesn't halt, but it doesn't know that there is an nvidia card plus the latest nvidia drivers on board. It gets to the "problem with x" and continue/configure in low rez gui mode. Selecting continue then locks the system.

FAJALOU (fajalou) wrote :

Same issue:

But I'm not on AMD... I'm on AOpen

processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 11
model name : Intel(R) Celeron(TM) CPU 1000MHz
stepping : 1
cpu MHz : 1197.689
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse up
bogomips : 2397.67
clflush size : 32

Kub (alpignolo-mail) wrote :

Me too... Freeze at the "hlt".

AMD Athlon(tm) XP 1600+
Frequency 1400.727 MHz
L2 cache 256 KB
1GB ram
Via chipset
GeForce4 MX 440 with AGP8X

reech (r-mcmillan) wrote :

@stefan :

The posted kernel results in the same problem.

Thanks

Kernel 2.6.24-20-386 works for me, but I had to recompile madwifi drivers.

I got Asus F5VL, Core 2 Duo T5250, Ubuntu 8.04.1.

Tim Gardner (timg-tpi) on 2008-07-27
Changed in linux:
assignee: nobody → timg-tpi
86 comments hidden view all 166 comments
Jeremy Bar (j.b) wrote :

More information on what see to be the same issue.

The kernel panics during the shorewall initialization during boot.

The laptop is a Thinkpad X60S.

Relevant packages installed:
$ dpkg -l |grep 2.6.24-20
ii linux-backports-modules-2.6.24-20-generic 2.6.24-20.20 Ubuntu supplied Linux modules
for version 2.
ii linux-headers-2.6.24-20 2.6.24-20.37 Header files related to Linux kernel version
ii linux-headers-2.6.24-20-generic 2.6.24-20.37 Linux kernel headers for version 2.6.24 on x
ii linux-image-2.6.24-20-generic 2.6.24-20.37 Linux kernel image for version 2.6.24 on x86
ii linux-libc-dev 2.6.24-20.37 Linux Kernel Headers for development
ii linux-restricted-modules-2.6.24-20-generic 2.6.24.14-20.46 Non-free Linux 2.6.24 modules on x86/x86_64
ii linux-ubuntu-modules-2.6.24-20-generic 2.6.24-20.29 Ubuntu supplied Linux modules for version 2.

Jeremy Bar (j.b) wrote :

Attached lspci -vv output.

I don't have a dmesg from 2.6.24-20 because it seems like the syslog isn't enabled before the panic or disk didn't sync.

I could get more information if I find a null modem cable and enable serial console.

I will keep you posted.

Jeremy

Jeremy Bar (j.b) wrote :

Sorry guys, my 2 postings relate to bug 251252. The administrator can remove them ...

I got confused, I have 2 laptops, one behaving like this bug, the other like bug 251252.

Jeremy

Stefan Bader (smb) wrote :

The problem should now be fixed with the latest kernel in -proposed (2.6.24-20.38). Could someone confirm this?

Fabio Serpa (fs3rp4) wrote :

I confirm this. Athlon 2600+ working fine now.

After installing the new proposed kernel (2.6.24-20.38) the system boots successfully. (Yay!)

However now my graphics card is not recognized. After a lot of flickering X finally starts but with only 800x600 resolution.
When booting 2.6.24-19 the graphics works fine.

I guess that the graphicsproblems should go into a new bug(?) but this means I am still not using 2.6.24-20 kernel.
/Sebastian

Confirmed working on my Athlon 2500+

Actually lspci under 2.6.24-20.38 and 2.6.24-19 are identical, will try again if X works better after disabling proprietary nvidia drivers.

My report for a successfully booting 2.6.24-20.38 is on an Athlon 1600+ (Palomino) CPU.
/Sebastian

Mossroy (mossroy) wrote :

Same behavior as Sebastian Bengtsson.
The 2.6.24-20.38 kernel now boots fine : the current problem seems to be resolved in my case (Athlon XP 3200+).

But I have exactly the same issue with the graphic card : flickering then low resolution.
Mine is a nvidia Geforce 6200 SE, with the proprietary drivers ("nvidia" driver in xorg.conf) installed by the ubuntu wizard.

I also came back to 2.6.24-19...

Mr Freeze (rockula-mike) wrote :

Confirmed, working on AMD Sempron 2500+ with no problems.

Luigi Maselli (grigio) wrote :

the kernel 2.6.24-21-rt solves this problem, but I can't get the consoles tty with it. I just a blinking cursor

$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 6
model : 6
model name : AMD Athlon(TM) XP1700+
stepping : 2
cpu MHz : 1109.909
cache size : 256 KB

Robert Nelson (robertcnelson) wrote :

Stefan Bader, Confirmed:

2.6.24-20.38 works on IBM T23
Intel(R) Pentium(R) III Mobile CPU 1200MHz

uname -a
Linux ubuntu-t23 2.6.24-20-generic #1 SMP Mon Jul 28 13:49:24 UTC 2008 i686 GNU/Linux

Ronison (ronison) wrote :

Is all working fine now! Thanks.

processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 11
model name : Intel(R) Pentium(R) III CPU Tualatin family 1400MHz
stepping : 1
cpu MHz : 1406.414
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse up
bogomips : 2815.75
clflush size : 32

$uname -a
Linux dartagnan 2.6.24-20-generic #1 SMP Mon Jul 28 13:49:52 UTC 2008 i686 GNU/Linux

Petar Velkovski (pvelkovski) wrote :

linux-image-2.6.24-20-generic boots on my computer, but the Sound Card is not detected!

AMD AthlonXP2500+, Asus board with NVIDIA nForce2 chipset

After disabling proprietary nvidia driver xorg at normal resolution without problems.

However there are some kind of issue remaining as the proprietary hardware drivers guide (jockey-gtk) now doesn't recognize there is an nvidia card present for which a proprietary driver (nvidia-legacy in this case) could be installed.

uname:
Linux molly 2.6.24-20-generic #1 SMP Mon Jul 28 13:49:52 UTC 2008 i686 GNU/Linux
lspci:
01:00.0 VGA compatible controller: nVidia Corporation NV15DDR [GeForce2 Ti] (rev a4)

I am sorry if this is going off topic. But it appears that the new kernel introduces some minor regressions.

Jeremy Bar (j.b) wrote :

2.6.24-20.38 fixes the issue for me as well.

processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 8
model name : Pentium III (Coppermine)
stepping : 6
cpu MHz : 647.199
cache size : 256 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse
bogomips : 1295.48
clflush size : 32

X3 (x3lectric) wrote :

I believe these failures are AMD CPU bound sine I hav e tested 15 machines and 4 of which are MAD and those failed.

On another note intrepid loads ok

Xanax (4004uw) wrote :

2.6.24-20.38 fixes the Error 18 when boot, but I get "Error 16: Inconsistent filesystem structure" and stop booting.

2.6.24-19 works fine.

Chris Coulson (chrisccoulson) wrote :

Xanax - You have a separate issue and should open a new bug report

max69 (maxime-bely) wrote :

Ok the computer is now booting with the proposed kernel but as mentionned earlier the nvidia drivers not recognized or something.
Intel Pentium 3 Coppermine
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev a1)

On Wed, Jul 30, 2008 at 7:19 AM, max69 <email address hidden> wrote:
> Ok the computer is now booting with the proposed kernel but as mentionned earlier the nvidia drivers not recognized or something.
> Intel Pentium 3 Coppermine
> 01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev a1)

My nvidia driver is also not recognised (AMD Athlon XP 1800+ with a
GeForce 5200FX video card, if that matters) on the latest
2.6.24-20-generic.

MMarking (cpt-mocha) wrote :

System boots now with updated kernel but no nvidia driver.

03:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 MX 420] (rev a3)

Nvidia GeForce MX420

* MMarking <email address hidden>:
> System boots now with updated kernel but no nvidia driver.

Did you forget to install the appropriate
linux-restricted-modules-2.6.24-20-generic
package?

--
Ralf Hildebrandt (i.A. des IT-Zentrums) <email address hidden>
Charite - Universitätsmedizin Berlin Tel. +49 (0)30-450 570-155
Gemeinsame Einrichtung von FU- und HU-Berlin Fax. +49 (0)30-450 570-962
IT-Zentrum Standort CBF send no mail to <email address hidden>

Shaun Crampton (fasaxc) wrote :

I'm seeing the same, system boots but goes into graphics safe mode.

$ apt-cache policy linux-restricted-modules
linux-restricted-modules:
  Installed: (none)
  Candidate: 2.6.24.20.22
  Version table:
     2.6.24.20.22 0
        500 http://ubuntu.virginmedia.com hardy-proposed/restricted Packages
     2.6.24.19.21 0
        500 http://ubuntu.virginmedia.com hardy-updates/restricted Packages
        500 http://security.ubuntu.com hardy-security/restricted Packages
     2.6.24.16.18 0
        500 http://ubuntu.virginmedia.com hardy/restricted Packages

Tim Gardner (timg-tpi) wrote :

linux (2.6.24-20.38) hardy-proposed; urgency=low

  [Tim Gardner]

  * SAUCE: Export usbhid_modify_dquirk for LBM module bcm5974
    - LP: #250838
  * Enable TULIP ethernet support in virtual appliance flavour
    - LP: #250857
  * VIA AGP VT3364 is not detected
    - LP: #251854
  * VIA - Add VIA DRM Chrome9 3D engine
    - LP: #251862

  [Upstream Kernel Changes]

  * net/usb: add support for Apple USB Ethernet Adapter
    - LP: #232200
  * acpi: fix "buggy BIOS check" when CPUs are hot removed
    - LP: #248509
  * x86: fix paranoia about using BIOS quickboot mechanism.
    - LP: #248905
  * flush kacpi_notify_wq before removing notify handler
    - LP: #248509
  * fix a deadlock issue when poking "eject" file
    - LP: #248509
  * force offline the processor during hot-removal
    - LP: #248509
  * create sysfs link from acpi device to sysdev for cpu
    - LP: #248509
  * x86: fix bootup crash in native_read_tsc() (aka use XMM2)
    - LP: #249135
  * x86: lfence fix - LFENCE is available on XMM2 or higher
    Intel CPUs - not XMM or higher...
    - LP: #249135

 -- Tim Gardner <email address hidden> Fri, 25 Jul 2008 22:12:46 -0600

Changed in linux:
status: Confirmed → Fix Released
MMarking (cpt-mocha) wrote :

>Did you forget to install the appropriate
>linux-restricted-modules-2.6.24-20-generic
>package?

No, I have them installed.

Martin Pitt (pitti) wrote :

Can you confirm that the -20.38 version fixes the regression? Thank you!

It appears to be booting properly now.

* Martin Pitt <email address hidden>:
> Can you confirm that the -20.38 version fixes the regression? Thank you!

Yes, the -20.38 version fixes the regression!

Martin Pitt (pitti) wrote :

Did only affect hardy-proposed. Thank you for testing!

Changed in linux:
status: Confirmed → Invalid
Petar Velkovski (pvelkovski) wrote :

This kernel (-20.38) now works for me. I'm using it as my default kernel from yesterday.

Mossroy (mossroy) wrote :

The booting regression is solved for me, but 2.6.24-20.38 kernel gave another regression for some of us : the display falls back in low-resolution (graphics safe mode). Maybe it's https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/254418
Looks like it's related to nvidia cards only.

David Planella (dpm) wrote :

I experiency exactly the same issues as the previous poster.

Petar Velkovski (pvelkovski) wrote :

Ok, just to be clear. I had to reinstall nvidia drivers with EnvyNG every time i changed kernel. From 2.6.24-16 -> 2.6.24-17, 2.6.24-17->2.6.24-18 etc. So I personally don't consider this as a bug, but as something that has to be done every time we switch to a newer kernel build. If this is a bug, I presume it is connected with EnvyNG, not with the kernel build.

David Planella (dpm) wrote :

Regarding to the previous post, I have never had to reinstall the nvidia driver, which is the one available from the -restricted-modules package. It has seamlessly worked throughout all kernel updates until -20. I have never used EnvyNG nor did I know what it was until I googled for it.

Krzysztof Janowicz (janowicz) wrote :

i have exactly the same problem, the system hangs when trying to start X (only showing the nvidia logo). switching to the nv driver does not solve the problem. i switched back to -19 for the moment.

Shaun Crampton (fasaxc) wrote :

I just tried -21. It seems to work fine. I have an NVIDIA gfx card and it booted into X at my normal resolution.

Sergei Andreev (seajey) wrote :

-21 works for me

Mossroy (mossroy) wrote :

-21 works for me too. Thanks!

-21 works for me as well.

-Scott

Displaying first 40 and last 40 comments. View all 166 comments or add a comment.